
<?php
/* به نام خدا 
اوپن شده در :
@jahanbots
@jahanbots

با اسکی رفتن بدون منبع ناموس خود را به ما بسپارید !

بر روی این فایل یک کرون جاب 1 دقیقه ای ست بشه 
*/
//include_once ("index.php");
define('API_KEY','5005527153:AAHvh3L65D3B-bISCP9oONKu--6y87cCFZw'); //Token
function dn($method,$datas=[]){
$url = "https://api.telegram.org/bot".API_KEY."/".$method;
$ch = curl_init();
curl_setopt($ch,CURLOPT_URL,$url);
curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
curl_setopt($ch,CURLOPT_POSTFIELDS,$datas);
$res = curl_exec($ch);
if(curl_error($ch)){
var_dump(curl_error($ch));
}else{
return json_decode($res);
}
}
$send = json_decode(file_get_contents("sendall.json"),true);
if($send["step"] == "sendall"){
 $Scan = scandir('users');
 $Scan = array_diff($Scan, ['.','..']);
 $alluser = count($Scan) - 1;
 $count = $send["user"] + 100;
 if($send["msgid"] == ''){
  for($n=$send["user"]; $n<=$count; $n++){
   $row = $Scan[$n];
   dn('sendMessage',['chat_id'=>$row,'text'=>$send['text']]);
   dn('sendphoto',['photo'=>$send["photoid"],'chat_id'=>$row,'caption'=>$send["caption"]]); 
  dn('sendvoice',['voice'=>$send["voiceid"],'chat_id'=>$row,'caption'=>$send["caption"]]); 
  dn('sendAudio',['audio'=>$send["musicid"],'chat_id'=>$row,'caption'=>$send["caption"]]);
  dn('sendvideo',['video'=>$send["videoid"],'chat_id'=>$row,'caption'=>$send["caption"]]);
  dn('sendDocument',['document'=>$send["fileid"],'chat_id'=>$row,'caption'=>$send["caption"]]);  
  }
 }else{
  for($n=$send["user"]; $n<=$count; $n++){
   $row = $Scan[$n];
  # dn('sendMessage',['chat_id'=>$row,'text'=>$send['text']]);
  }
 }
 $plus = $send["user"] + 100;
 $send['user'] = $plus;
 file_put_contents("sendall.json",json_encode($send,true));
 if($plus >= $alluser){
  dn('sendMessage',['chat_id'=>713559594,'text'=>"پیام شما با موفقیت به تمام کاربران ارسال شد ✅"]);
  unlink('sendall.json');
 }
}
if(file_exists('error_log')){
    unlink('error_log');
}
/* به نام خدا 
اوپن شده در :
@jahanbots
@jahanbots

با اسکی رفتن بدون منبع ناموس خود را به ما بسپارید !
*/